[PC-BSD Commits] r869 - pbibuild/modules/nexuiz/overlay-dir

svn at pcbsd.org svn at pcbsd.org
Fri Nov 9 10:39:33 PST 2007


Author: gonzalo
Date: 2007-11-09 10:39:33 -0800 (Fri, 09 Nov 2007)
New Revision: 869

Modified:
   pbibuild/modules/nexuiz/overlay-dir/PBI.FirstRun.sh
Log:
3D APP warning code added

Modified: pbibuild/modules/nexuiz/overlay-dir/PBI.FirstRun.sh
===================================================================
--- pbibuild/modules/nexuiz/overlay-dir/PBI.FirstRun.sh	2007-11-09 18:38:39 UTC (rev 868)
+++ pbibuild/modules/nexuiz/overlay-dir/PBI.FirstRun.sh	2007-11-09 18:39:33 UTC (rev 869)
@@ -45,4 +45,15 @@
       kdialog --sorry "Nexuiz is already installed, it must be uninstalled before loading this PBI"
       return 2
     fi
-fi 
+fi
+
+ 
+#3D APPLICATION: 3D ACC IS NEEDED
+
+glxinfo | grep "direct rendering:" | grep " Yes" 2>/dev/null
+if [ "$?" != "0" ]
+then
+   kdialog --msgbox "Your system does not appear to have hardware 3D
+support enabled. This application requires 3D acceleration to function
+properly."
+fi



More information about the Commits mailing list